## EXPORT_SPEC int UpnpAcceptSubscriptionExt

## ( IN UpnpDevice_Handle Hnd,
IN const char* DevID,
IN const char* ServID,
IN IXML_Document* PropSet,
IN Upnp_SID SubsId )

> UpnpAcceptSubscriptionExt is similar to UpnpAcceptSubscription except that it takes a DOM document for the variables to event rather than an array of strings.

## Documentation

> UpnpAcceptSubscriptionExt is similar to UpnpAcceptSubscription except that it takes a DOM document for the variables to event rather than an array of strings. This function is sychronous and generates no callbacks.

> UpnpAcceptSubscriptionExt can be called during the execution of a callback function.

Parameters:
  Hnd - The handle of the device.
  DevID - The device ID of the subdevice of the service generating the event.
  ServID - The unique service identifier of the service generating the event.
  PropSet - The DOM document for the property set. Property set documents must conform to the XML schema defined in section 4.3 of the Universal Plug and Play Device Architecture specification.
  SubsId - The subscription ID of the newly registered control point.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid device handle.
  - `UPNP_E_INVALID_SERVICE`: The DevId/ServId pair refers to an invalid service.
  - `UPNP_E_INVALID_SID`: The specified subscription ID is not valid.
  - `UPNP_E_INVALID_PARAM`: Either VarName, NewVal, DevID, ServID, or PropSet is not a valid pointer.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.